Bug 18578 - Documentation error for JNDI Lookup
Summary: Documentation error for JNDI Lookup
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Mailer Taglib (show other bugs)
Version: 1.1
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL: http://jakarta.apache.org/taglibs/doc...
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-01 18:51 UTC by Ben Tomasini
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Tomasini 2003-04-01 18:51:51 UTC
<!-- Using a JNDI named JavaMail Session object defined by the -->
<!-- session attribute. -->
<mt:mail session="java:/comp/env/session" to="foo@home.net"
from="bar@home.net" subject="mail taglib">
<mt:message>[body of message]</mt:message>
<mt:send/>
</mt:mail>

When using this syntax in Resin 2.1.8, get a NamingException

Solution is to use 

java:comp

*not*

java:/comp

Is the documentation incorrect?  Not sure what JNDI standard is.
Comment 1 Martin Cooper 2004-02-01 08:19:36 UTC
Fixed in the 20040201 nightly build. The documentation was incorrect.